import { ConfigurationService } from '../configuration/configuration.service';
export declare class TranslateService {
    private configurationService;
    private undeclaredLanguage;
    private currentLanguage;
    private dictionary;
    constructor(configurationService: ConfigurationService);
    translate: (keyWord: string, language?: string) => string;
    setDictionary: (language: string, keyWord: string, value: string) => void;
    setDictionaries: (language: string, dictionary: {
        [keyWord: string]: string;
    }) => void;
    setDefaultLanguage: (language: string) => void;
    getUndeclaredLanguage: () => {
        [keyWord: string]: boolean;
    };
}
